package ru.yandex.wmtools.common.data.xmlsearch;

import ru.yandex.wmtools.common.error.UserException;
import ru.yandex.wmtools.common.util.TimeFilter;

/**
 * Created by IntelliJ IDEA.
 * User: senin
 * Date: 01.12.2007
 * Time: 16:00:39
 */
public class LinksGroupsRequest extends LinksRequest {
    public LinksGroupsRequest(String hostName, String path, int pageNum, int pageSize) throws UserException {
        super(hostName, path, pageNum, pageSize);
    }

    public LinksGroupsRequest(String hostName, String path, TimeFilter timeFilter, int pageNum, int pageSize) throws UserException {
        super(hostName, path, timeFilter, pageNum, pageSize);
    }

    @Override
    protected String getGroupByMode() {
        return GROUP_BY_MODE_DEEP;
    }

    @Override
    protected String getGroupByAttr() {
        return GROUP_BY_ATTR_D;
    }

    @Override
    public String getUrlParams() {
        return COMMON_PARAMS + "&" + PRON_PARAMS + "&" + RD0_RDBA0_PARAMS + "&" + LONGREQUEST1_PARAMS +
                "&" + DBGWZR_PARAMS + "&" + RELEV_PARAMS + "&" + REARRANGE_OFF_PARAMS;
    }
}
